---
title: "Fotocasa API: Agency | Perceptlayer"
description: "Agency from Fotocasa as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/fotocasa/agency
---

[APIs](https://perceptlayer.com/apis) / [Fotocasa](https://perceptlayer.com/apis/fotocasa) / Agency

# Fotocasa: Agency

Agency from Fotocasa as JSON. 1 credit per successful call.

GET `/v1/fotocasa/agency`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `client_id` | string | Optional | Any |
| `slug` | string | Optional | Up to 120 characters |
| `property_type` | integer | Optional | 2, 3, 4, 5, 6, 7, 8 |
| `transaction_type` | integer | Optional | 1, 3, 5, 7 |
| `location[]` | list of string | Optional | Any |
| `page` | integer | Optional | Any |
| `size` | integer | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/fotocasa/agency?client_id=9202774016338&size=5" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/fotocasa?try=agency#playground) with your own parameters. 1 credit per successful call; failed calls are free.
